stages:
  - build
  - deploy_gcp

build_images:
  stage: build
  image: docker:20.10.16

  services:
    - docker:20.10.16-dind

  variables:
    DOCKER_TLS_CERTDIR: "/certs"

  before_script:
    - docker login -u $REGISTRY_USER -p $REGISTRY_PASS

  script:
    - docker build -t campos90/app-cicd-dio:1.0 app/.
    - docker push campos90/app-cicd-dio:1.0

deploy_gpc:
  stage: deploy_gcp

  before_script:
    - chmod 400 $SSH_KEY

  script:
    - ssh -o StrictHostKeyChecking=no -i $SSH_KEY gcp@$SSH_SERVER "sudo rm -Rf ./app-cicd-dio/ && sudo git clone https://gitlab.com/qa.alyson/app-cicd-dio.git && cd app-cicd-dio && sudo chmod +x ./script.sh && ./script.sh"